Subject: Re: How to port ppc-linux to new custom boards? (virtexII)

From: Peter Vandenabeele <[email-masked]>
Date: Wed, 25 Aug 2004 16:30:25 +0200

On Wed, Aug 25, 2004 at 09:52:58AM -0400, David Ho wrote:
> > > Finally, do not overestimate the commercial support, to my experience;
> > > the collaborative mailing lists are often as good if not better to point
> > > you in the correct direction due to the diverse expertises of the ppl on
> > > the list.

I would be very careful with generalisation ...

> > Correct.
> >
> > I'd like to add, though, that commercial support is somthing you payed for,
> > and which you can *claim*, so IMHO you shouldn't underestimate it. A
> > guaranteed support line can be very critical at certain stages of your
> > project.
>
> Sorry to stick my nose in your discussion, but I have a strong opinion on
> commerial support.  Working in a small company, we have never gotten the
> level of commitment we would expect from companies like ISI (vendor of
> pSOS) and Timesys.  You can get the basic installation support fine.  But
> when you need to get into the nitty gritty detail their value is a lot less
> compared to mailing lists.

Would the base problem not be that the classic model of "1-year support for a
fixed fee" creates a false illusion ? How can you expect a support company to
get into intensive research of a complex problem if this just creates additional
cost, but no additional revenue ? For a big customer, that is paying hefty
yearly fees, it is obvious to do this investment, but for a small customer ...

> The way I see it is being large commercial OS vendor that they are, they
> seem to funnel their resource to the big customers who are willing to pay
> the big bucks to get stuff done.

Seems very logical. Those who pay extra for extra work, will get extra
work delivered. Those who rely on the 1-year support for a fixed fee
will get what remains. IMHO this is best resolved with just charging
hourly: you pay for what you actually got ...

> When choosing commercial support, one critical factor is their customer
> base.  Big fish don't go after the tiny ticks in the sea, they go for
> seals.  And you really have to find the right sized OS vender to give you
> the attention you need.

I have seen a number of "small" support companies deliver excellent
support to e.g. large semiconductor companies.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/